7-Zip < 4.57 Archive Handling Unspecified Issue

High Nessus Plugin ID 31607


The remote Windows host has a program that is affected by an unspecified vulnerability.


The remote host contains a version of the open source 7-Zip file archiver and included in third-party products such as Knownsoft's Turbo Searcher.

The version of 7-Zip installed on the remote host reportedly is affected by an as-yet unspecified vulnerability involving archive handling.


Upgrade to 7Zip 4.57 or later.

See Also


Plugin Details

Severity: High

ID: 31607

File Name: 7zip_4_57.nasl

Version: $Revision: 1.14 $

Type: local

Agent: windows

Family: Windows

Published: 2008/03/19

Modified: 2015/01/12

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:7-zip:7-zip

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Reference Information

CVE: CVE-2008-6536

BID: 28285

OSVDB: 43649

Secunia: 29434